%% Make a script for putting the time data into a video 

close all,
writerObj = VideoWriter('wave_dir_time2');
writerObj.FrameRate = 2;
cd('Z:\Christa\ANALYZED\Data\1_CoordinationManuscript\figure2\TimeSeries\wave direction\')
 
figure('Units','normalized','Position',[0 0 1 1]);   
fig = gcf; 

%
path{1} = 'Z:\Christa\ANALYZED\Data\1_CoordinationManuscript\figure2\TimeSeries\wave direction\09-06-2020_0_5_aligned\';
path{2} = 'Z:\Christa\ANALYZED\Data\1_CoordinationManuscript\figure2\TimeSeries\wave direction\09-06-2020_0_7_aligned\';
path{3} = 'Z:\Christa\ANALYZED\Data\1_CoordinationManuscript\figure2\TimeSeries\wave direction\09-06-2020_0_9_aligned\';
path{4} = 'Z:\Christa\ANALYZED\Data\1_CoordinationManuscript\figure2\TimeSeries\wave direction\14-03-2017_13_0_aligned\';

for i = 1:20
    
    for j = 1:4
    
        sourceP = path{j};
        stk_files = dir([sourceP , '*aligned*']);
        
    load([stk_files(i).folder, filesep, stk_files(i).name,filesep, stk_files(i).name, '_results_wave_direction_and_lengths.mat'], 'wave_length', 'phase_pd','phase_sd');
    load([stk_files(i).folder, filesep, stk_files(i).name,filesep, stk_files(i).name, '_results_calc_phase_patch.mat'], 'phase_patch');

    mask = ~isnan(phase_pd);
    
    subplot(3,5,1), text(0,0.5,'Phase','FontSize', 20), axis off, box off 
    subplot(3,5,6), text(0,0.5,'Wave direction','FontSize', 20), axis off, box off 
    subplot(3,5,11), text(0,0.5,'Wavelength','FontSize', 20), axis off, box off 
    
    ax1 =subplot(3,5,j+1);  imagesc(squeeze(nansum(phase_patch,3)), 'AlphaData', flipud(mask)); colormap(ax1,hsv), caxis([0 2*pi])  
%    title(stk_files(i).name(25:end)),   
    title(['fish ', num2str(j)]),  
   axis image, set(gca,'YTickLabel',[]);set(gca,'XTickLabel',[]);
   set(gca,'xtick',[]),set(gca,'ytick',[])
   
    ax2 =subplot(3,5,j+6), imagesc(flipud(phase_pd), 'AlphaData', (1-flipud(phase_sd))); colormap(ax2,hsv); caxis([0 2*pi]);
   axis image, set(gca,'YTickLabel',[]);set(gca,'XTickLabel',[]);
   set(gca,'xtick',[]),set(gca,'ytick',[])
   
    ax3 = subplot(3,5,j+11), imagesc(flipud(wave_length), 'AlphaData', flipud(mask)); colormap(ax3,jet), caxis([0 6]); 
   axis image, set(gca,'YTickLabel',[]);set(gca,'XTickLabel',[]);
    set(gcf,'color','w');
    set(gca,'xtick',[]),set(gca,'ytick',[])
    end 
    
        F = getframe(fig);
    open(writerObj)
    writeVideo(writerObj,F);
    
end

close(fig);
close(writerObj);

